Description

| have a page with a thumbnail of an attached image. In the wiki it shows correctly:

When | export this as a PDF it looks like this:

Project_Report JN_0925_1025_2013.pdf

60

The HTML export does it wrong too (it adds a link to a file with absolute path and the attached file is not downloaded!)

Project Report JN_0925_1025_2013.html

Related issues:

Has duplicate Redmine - Defect #23463: Inline images with custom CSS style ar...

Closed

History

#1 - 2013-11-07 18:29 - Johannes Neubauer

My image link seems to be wrong above. So here again:
# Database_experiments.png - Database structure for experiments (337,909 KB) i Johannes Neubauer, 07.11.2013 17:40

# Database_information.png - Database structure for information (513,64 KB) fij Johannes Neubauer, D7.11.2

# Database_legend.png - Legend for Database structure figures (93,601 KB) {ij Johannes Neubauer, 07.11.20

317:40
17:40

# Database_parameter.png - Database structure for parameters {(measurements) (334,004 KB) i Johannes Neubauer, 07.11.2013 17:41

Neue Datei

#2 - 2013-11-07 18:35 - Johannes Neubauer
- File Project_Report JN_0925 1025 _2013-3.pdf added

Even if | don't use the thumbnail macro like this (works in the wiki-view):

p=. !{width:

It does not work:

600px}Database_legend.png!

Project_Report JN_0925_ 1025 2013-3.pdf

2025-08-23

Auch abrufbar als: PDF | HTML | TXT
https://www.redmine.org/attachments/10725
https://www.redmine.org/attachments/10726
https://www.redmine.org/attachments/10727
https://www.redmine.org/attachments/10728

#3 - 2013-11-07 18:41 - Johannes Neubauer
- File Project_Report JN_0925_1025_2013_safari_export.pdf added

Even the standard export of Safari looks "better" (has the image):
Project_Report_ JN_0925_1025_2013_safari_export.pdf

#4 - 2013-11-10 04:31 - Mischa The Evil
- Tracker changed from Defect to Feature
- Subject changed from PDF export of Wiki-Sites does not contain thumbnails to Include image thumbnails with PDF export

- Description updated

| have fixed the description. You were using a reference to image "Database_legend.png" while you've uploaded
"Project_Report_JN_0925_1025_2013.png". You can see that when using the correct filename it's possible to make use of the thumbnail macro here
on redmine.org.

Are you able to edit your note-1 to remove the duplication of the image?

Also, this not only applies to wiki page pdf export but also to other pdf exports, esp. like issue pdf export. So I've changed the subject to be more
generic.

I'll change the tracker too. This hasn't been part of any (public) design or whatsoever for the implemented pdf export features as far as | know.

#5 - 2013-11-10 15:18 - Johannes Neubauer

| couldn't edit my post, | knew that | did something wrong with the name of the file (that's why | posted it again). But using the thumbnail feature seems
not to work in the tracker: during a 'save' it says that the macro is not available, but with !! and the {width=600px} css it worked. But this would be
another bug, wouldn't it?

#6 - 2016-08-01 11:46 - henk jansen
Johannes Neubauer wrote:
| couldn't edit my post, | knew that | did something wrong with the name of the file (that's why | posted it again). But using the thumbnail feature

seems not to work in the tracker: during a 'save' it says that the macro is not available, but with ! and the {width=600px} css it worked. But this
would be another bug, wouldn't it?

Is there any update on this i have the same issue.

#7 - 2016-08-25 09:58 - Toshi MARUYAMA
- Has duplicate Defect #23463: Inline images with custom CSS style are not displayed in exported PDF added

#8 - 2016-12-02 17:05 - Zer Guz

+1

#9 - 2018-04-06 18:33 - Eric Prandovszky

Is there any solution to this?

#10 - 2018-04-09 09:07 - Tomasz Sawicki

+1

Files

Project_Report_JN_0925_1025_2013.png 127 KB 2013-11-07 Johannes Neubauer
Project_Report_JN_0925_1025_2013.pdf 306 KB 2013-11-07 Johannes Neubauer
Project_Report_JN_0925_1025_2013.html 1.28 KB 2013-11-07 Johannes Neubauer
Project_Report_JN_0925_1025_2013-3.pdf 306 KB 2013-11-07 Johannes Neubauer
Project_Report_JN_0925_1025_2013_safari_export.pdf 142 KB 2013-11-07 Johannes Neubauer
